function y=allpass(x)
%A 3rd order allpass filter
b0=0.7; b1=0.19; b2=-0.28; b3=1;
a3=0.7; a2=0.19; a1=-0.28; a0=1;
m1=0; m2=0; m3=0; y=x;
for i=1:length(x)
	xar=x(i)-a1*m1-a2*m2-a3*m3;
	y(i)=xar*b0+b1*m1+b2*m2+b3*m3;
	m3=m2; m2=m1; m1=xar;
end